Clears resources associated with this object

- « ImagickPixel

- ImagickPixel::__construct »

- PHP Manual
- ImagickPixel
- Clears resources associated with this object

# ImagickPixel::clear

(PECL imagick 2, PECL imagick 3)

ImagickPixel::clear — Clears resources associated with this object

### Description

public ImagickPixel::clear(): bool
Warning

This function is currently not documented; only its argument list is available.

Clears the ImagickPixel object, leaving it in a fresh state. This also unsets any color associated with the object.

### Return Values

Returns `true` on success.